Example

Loading...
Searching...
No Matches
Classes | Typedefs | Enumerations | Functions
CEmotions.h File Reference
`#include "Capsule/CDefinesPrivate.h"`
Include dependency graph for CEmotions.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clCEmotionalStates
| Emotions values, determined by Emotions classifier. More...

## Typedefs
typedef enum clCEmotionsEmotion | clCEmotionsEmotion
| Metrics you can compute with clCEmotions.
typedef struct clCEmotionalStates | clCEmotionalStates
| Emotions values, determined by Emotions classifier.
typedef void(* | clCEmotionsHandlerFloat) (clCEmotions, float)
typedef void(* | clCEmotionsHandlerEmotionalStatesUpdate) (clCEmotions, const clCEmotionalStates *)
typedef void(* | clCEmotionsHandler) (clCEmotions)
typedef void(* | clCEmotionsHandlerString) (clCEmotions, const char *)

## Enumerations
enum | clCEmotionsEmotion { clC_Emotions_EmotionFocus , clC_Emotions_EmotionChill , clC_Emotions_EmotionStress , clC_Emotions_EmotionAnger , clC_Emotions_EmotionSelfControl }
| Metrics you can compute with clCEmotions. More...

## Functions
| CLC_CLASS_WN (ClassificationEmotionsPrivate, clCEmotions)
| Wrapper of clCNFB.
CL_DLL clCEmotions | clCEmotions_Create (clCSession session, double speed, double maxSpeed) NOEXCEPT
CL_DLL clCEmotions | clCEmotions_CreateCalibrated (clCNFBCalibrator calibrator, double speed, double maxSpeed) NOEXCEPT
CL_DLL void | clCEmotions_Destroy (clCEmotions emotions) NOEXCEPT
| CLC_STRUCT (clCEmotionsDelegateFloat)
CL_DLL void | clCEmotionsDelegateFloat_Set (clCEmotionsDelegateFloat delegate, clCEmotionsHandlerFloat handler) NOEXCEPT
CL_DLL clCEmotionsDelegateFloat | clCEmotions_GetOnEmotionUpdateEvent (clCEmotions emotions, clCEmotionsEmotion emotion) NOEXCEPT
| CLC_STRUCT (clCEmotionsDelegateEmotionalStatesUpdate)
CL_DLL void | clCEmotionsDelegateEmotionalStatesUpdate_Set (clCEmotionsDelegateEmotionalStatesUpdate delegate, clCEmotionsHandlerEmotionalStatesUpdate handler) NOEXCEPT
CL_DLL clCEmotionsDelegateEmotionalStatesUpdate | clCEmotions_GetOnEmotionalStatesUpdateEvent (clCEmotions emotions) NOEXCEPT
| CLC_STRUCT (clCEmotionsDelegate)
CL_DLL void | clCEmotionsDelegate_Set (clCEmotionsDelegate delegate, clCEmotionsHandler handler) NOEXCEPT
CL_DLL clCEmotionsDelegate | clCEmotions_GetOnInitializedEvent (clCEmotions emotions) NOEXCEPT
CL_DLL clCEmotionsDelegate | clCEmotions_GetOnCalibratedEvent (clCEmotions emotions) NOEXCEPT
| CLC_STRUCT (clCEmotionsDelegateString)
CL_DLL void | clCEmotionsDelegateString_Set (clCEmotionsDelegateString delegate, clCEmotionsHandlerString handler) NOEXCEPT
CL_DLL clCEmotionsDelegateString | clCEmotions_GetOnErrorEvent (clCEmotions emotions) NOEXCEPT
CL_DLL void | clCEmotions_Initialize (clCEmotions emotions, const char *platformAddress) NOEXCEPT
| Initialize emotions classifier.
CL_DLL void | clCEmotions_StartCalibration (clCEmotions emotions) NOEXCEPT
| Start emotions calibration.

## Typedef Documentation

## ◆ clCEmotionalStates

typedef struct clCEmotionalStates clCEmotionalStates

Emotions values, determined by Emotions classifier.

## ◆ clCEmotionsEmotion

typedef enum clCEmotionsEmotion clCEmotionsEmotion

Metrics you can compute with clCEmotions.

## ◆ clCEmotionsHandler

typedef void(* clCEmotionsHandler) (clCEmotions)

## ◆ clCEmotionsHandlerEmotionalStatesUpdate

typedef void(* clCEmotionsHandlerEmotionalStatesUpdate) (clCEmotions, const clCEmotionalStates *)

## ◆ clCEmotionsHandlerFloat

typedef void(* clCEmotionsHandlerFloat) (clCEmotions, float)

## ◆ clCEmotionsHandlerString

typedef void(* clCEmotionsHandlerString) (clCEmotions, const char *)

## Enumeration Type Documentation

## ◆ clCEmotionsEmotion

enum clCEmotionsEmotion

Metrics you can compute with clCEmotions.

Enumerator
clC_Emotions_EmotionFocus |
clC_Emotions_EmotionChill |
clC_Emotions_EmotionStress |
clC_Emotions_EmotionAnger |
clC_Emotions_EmotionSelfControl |

## Function Documentation

## ◆ CLC_CLASS_WN()

CLC_CLASS_WN | ( | ClassificationEmotionsPrivate | ,
|  | clCEmotions |
| ) |  |

Wrapper of clCNFB.

Use it for metrics described in clCEmotionsEmotion enumeration. **Do not use it at the same time as using clCNFB.

## ◆ CLC_STRUCT() [1/4]

CLC_STRUCT | ( | clCEmotionsDelegate |  | ) |

## ◆ CLC_STRUCT() [2/4]

CLC_STRUCT | ( | clCEmotionsDelegateEmotionalStatesUpdate |  | ) |

## ◆ CLC_STRUCT() [3/4]

CLC_STRUCT | ( | clCEmotionsDelegateFloat |  | ) |

## ◆ CLC_STRUCT() [4/4]

CLC_STRUCT | ( | clCEmotionsDelegateString |  | ) |

## ◆ clCEmotions_Create()

CL_DLL clCEmotions clCEmotions_Create | ( | clCSession | session,
|  | double | speed,
|  | double | maxSpeed
| ) |  |

Create an Emotions classifier. Start calibration and update metrics after NFB calibration finished.

Parameters

  session | session handle. Valid session must be passed (does not need to be active)

Returns
  Emotions handle.

## ◆ clCEmotions_CreateCalibrated()

CL_DLL clCEmotions clCEmotions_CreateCalibrated | ( | clCNFBCalibrator | calibrator,
|  | double | speed,
|  | double | maxSpeed
| ) |  |

Create an Emotions classifier after individual NFB has calibrated.

Parameters

  calibrator | NFB calibrator handle. A calibrated calibrator must be passed.

Returns
  Emotions handle.

## ◆ clCEmotions_Destroy()

CL_DLL void clCEmotions_Destroy | ( | clCEmotions | emotions | ) |

Destroy Emotions classifier.

Parameters

  emotions | Emotions handle.

## ◆ clCEmotions_GetOnCalibratedEvent()

CL_DLL clCEmotionsDelegate clCEmotions_GetOnCalibratedEvent | ( | clCEmotions | emotions | ) |

## ◆ clCEmotions_GetOnEmotionalStatesUpdateEvent()

CL_DLL clCEmotionsDelegateEmotionalStatesUpdate clCEmotions_GetOnEmotionalStatesUpdateEvent | ( | clCEmotions | emotions | ) |

## ◆ clCEmotions_GetOnEmotionUpdateEvent()

CL_DLL clCEmotionsDelegateFloat clCEmotions_GetOnEmotionUpdateEvent | ( | clCEmotions | emotions,
|  | clCEmotionsEmotion | emotion
| ) |  |

## ◆ clCEmotions_GetOnErrorEvent()

CL_DLL clCEmotionsDelegateString clCEmotions_GetOnErrorEvent | ( | clCEmotions | emotions | ) |

## ◆ clCEmotions_GetOnInitializedEvent()

CL_DLL clCEmotionsDelegate clCEmotions_GetOnInitializedEvent | ( | clCEmotions | emotions | ) |

## ◆ clCEmotions_Initialize()

CL_DLL void clCEmotions_Initialize | ( | clCEmotions | emotions,
|  | const char * | platformAddress
| ) |  |

Initialize emotions classifier.

Parameters

  emotions | classifier handler
  platformAddress | address of platform to upload to

## ◆ clCEmotions_StartCalibration()

CL_DLL void clCEmotions_StartCalibration | ( | clCEmotions | emotions | ) |

Start emotions calibration.

Parameters

  emotions | classifier handle

## ◆ clCEmotionsDelegate_Set()

CL_DLL void clCEmotionsDelegate_Set | ( | clCEmotionsDelegate | delegate,
|  | clCEmotionsHandler | handler
| ) |  |

## ◆ clCEmotionsDelegateEmotionalStatesUpdate_Set()

CL_DLL void clCEmotionsDelegateEmotionalStatesUpdate_Set | ( | clCEmotionsDelegateEmotionalStatesUpdate | delegate,
|  | clCEmotionsHandlerEmotionalStatesUpdate | handler
| ) |  |

## ◆ clCEmotionsDelegateFloat_Set()

CL_DLL void clCEmotionsDelegateFloat_Set | ( | clCEmotionsDelegateFloat | delegate,
|  | clCEmotionsHandlerFloat | handler
| ) |  |

## ◆ clCEmotionsDelegateString_Set()

CL_DLL void clCEmotionsDelegateString_Set | ( | clCEmotionsDelegateString | delegate,
|  | clCEmotionsHandlerString | handler
| ) |  |